# Package com.taosdata.jdbc.ws

Class Summary
AbstractWSResultSet
AbsWSPreparedStatement
BlockResultSet
CustomWebSocketClientHandshaker
CustomWebSocketFrameEncoder
DefaultConnectionManager
FetchBlockData
FutureResponse
InFlightRequest: Unfinished execution
Transport: Handles message sending and receiving over WebSocket connections to TDengine.
TSWSPreparedStatement
WebSocketChannelInitializer
WebSocketClientHandler
WebSocketDriver
WebSocketHandshakeHandler
WSClient
WSConnection
WSConnectionManager: Manages WebSocket connections, reconnection, and load balancing for TDengine.
WSDatabaseMetaData
WSEWPreparedStatement
WSParameterMetaData
WSRetryableStmt
WSRowPreparedStatement
WSStatement

Exception Summary
WebsocketNotConnectedException: exception which indicates the websocket is not yet connected (ReadyState.OPEN)